FOLD(1)

NAZWA
fold - zawiń każdą linię wejścia aby pasowała do określonej szerokości

SKŁADNIA

fold
    [-bs] [-w szerokość] [--bytes] [--spaces]
    [--width=szerokość] [--help] [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo fold
lub
    info fold.

Ta strona podręcznika opisuje polecenie fold w wersji GNU.

fold wypisuje na standardowe wyjście określone pliki, lub standardowe wejście gdy nie zostały podane żadne pliki lub napotkano nazwę pliku '-'. Łamie on długie linie na większą ilość krótszych linii wstawiając znak nowej linii w kolumnie 80. Liczy on kolumny ekranowe, zatem znaki tabulacji przeważnie zajmują więcej niż jedną kolumnę, znaki backspace zmniejszają licznik kolumn, a znaki powrotu karetki ustawiają licznik kolumn z powrotem na zero.

OPCJE

-b, --bytes
    Liczy bajty, a nie kolumny, tak iż znaki tabulacji, backspace i powrót karetki są liczone za jedną kolumnę każdy, tak jak inne znaki.

-s, --spaces
    Łamie na granicy słów. Linia jest łamana po ostatnim znaku pustym wypadającym przed maksymalna długością linii. Jeśli nie ma takich znaków pustych, linia jest łamana na maksymalnej długości linii, jak zwykle.

-w, --width=szerokość
    Używa maksymalnej długości linii szerokość kolumn zamiast 80-ciu.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
fmt(1), pr(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.